###############################################################################
###############################################################################
##
##  Copyright (C) 2006 Red Hat, Inc.  All rights reserved.
##
##  This copyrighted material is made available to anyone wishing to use,
##  modify, copy, or redistribute it subject to the terms and conditions
##  of the GNU General Public License v.2.
##
###############################################################################
###############################################################################


%define PEGASUS_PROVIDERS_DIR %{_libdir}/Pegasus/providers


############  SRPM  ###################


Name: clustermon
Version: 0.8
Release: 27%{?dist}
License: GPL
URL: http://sources.redhat.com/cluster/conga

Group: System Environment/Base
Summary: Monitoring and management of Enterprise Linux Cluster Suite

Source0: %{name}-%{version}.tar.gz
Buildroot: %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

BuildRequires: glibc-devel gcc-c++ libxml2-devel
BuildRequires: openssl-devel dbus-devel pam-devel pkgconfig
BuildRequires: net-snmp-devel tog-pegasus-devel

%description
This package contains Enterprise Linux Cluster Suite 
SNMP/CIM module/agent/provider.


%prep
%setup -q

%build
%configure      --arch=%{_arch} \
		--docdir=%{_docdir} \
		--pegasus_providers_dir=%{PEGASUS_PROVIDERS_DIR} \
		--include_zope_and_plone=no
make %{?_smp_mflags} clustermon

%install
rm -rf $RPM_BUILD_ROOT
make DESTDIR=$RPM_BUILD_ROOT install_clustermon

%clean
rm -rf $RPM_BUILD_ROOT




###  cluster module  ###


%package -n modcluster
Group: System Environment/Base
Summary: Enterprise Linux Cluster Suite - remote management

Requires: oddjob dbus openssl
Requires: initscripts util-linux
Requires(post): chkconfig initscripts util-linux
Requires(preun): chkconfig initscripts
Requires(postun): initscripts util-linux
Conflicts: clumon
Conflicts: ricci-modcluster

%description -n modcluster
Management module for Enterprise Linux Cluster Suite.


%files -n modcluster
%defattr(-,root,root)
%config(noreplace)	%{_sysconfdir}/oddjobd.conf.d/modcluster.oddjob.conf
%config(noreplace)	%{_sysconfdir}/dbus-1/system.d/modcluster.systembus.conf
			%{_sysconfdir}/rc.d/init.d/modclusterd
			%{_libexecdir}/modcluster
			%{_sbindir}/modclusterd
			%{_docdir}/modcluster-%{version}/


%post -n modcluster
/sbin/chkconfig --add modclusterd
DBUS_PID=`cat /var/run/messagebus.pid 2> /dev/null`
/bin/kill -s SIGHUP $DBUS_PID > /dev/null 2>&1
/sbin/service oddjobd reload > /dev/null 2>&1

%preun -n modcluster
if [ "$1" == "0" ]; then
   /sbin/service modclusterd stop > /dev/null 2>&1
   /sbin/chkconfig --del modclusterd
fi

%postun -n modcluster
if [ "$1" == "0" ]; then
   DBUS_PID=`cat /var/run/messagebus.pid 2> /dev/null`
   /bin/kill -s SIGHUP $DBUS_PID > /dev/null 2>&1
   /sbin/service oddjobd reload > /dev/null 2>&1
fi
if [ "$1" == "1" ]; then
   /sbin/service modclusterd condrestart > /dev/null 2>&1
fi




###  cluster-snmp  ###


%package -n cluster-snmp
Group: System Environment/Base
Summary: Enterprise Linux Cluster Suite - SNMP agent

Requires: modcluster = %{version}-%{release}
Requires: net-snmp 
Requires: oddjob openssl
Requires(post): initscripts
Requires(postun): initscripts
Conflicts: clumon-snmp

%description -n cluster-snmp
SNMP agent for Enterprise Linux Cluster Suite.

%files -n cluster-snmp
%defattr(-,root,root)
			%{_libdir}/cluster-snmp/
			%{_datadir}/snmp/mibs/REDHAT-MIB
			%{_datadir}/snmp/mibs/REDHAT-CLUSTER-MIB
			%{_docdir}/cluster-snmp-%{version}/

%post -n cluster-snmp
/sbin/service snmpd condrestart > /dev/null 2>&1

%postun -n cluster-snmp
# don't restart snmpd twice on upgrades
if [ "$1" == "0" ]; then
   /sbin/service snmpd condrestart > /dev/null 2>&1
fi





###  cluster-cim  ###


%package -n cluster-cim
Group: System Environment/Base
Summary: Enterprise Linux Cluster Suite - CIM provider

Requires: modcluster = %{version}-%{release}
Requires: tog-pegasus 
Requires: oddjob openssl
Requires(post): initscripts
Requires(postun): initscripts
Conflicts: clumon-cim

%description -n cluster-cim
CIM provider for Enterprise Linux Cluster Suite. 

%files -n cluster-cim
%defattr(-,root,root)
			%{PEGASUS_PROVIDERS_DIR}/libRedHatClusterProvider.so
			%{_docdir}/cluster-cim-%{version}/

%post -n cluster-cim
/sbin/service tog-pegasus condrestart > /dev/null 2>&1
# pegasus might not be running, don't fail %post
exit 0

%postun -n cluster-cim
# don't restart pegasus twice on upgrades
if [ "$1" == "0" ]; then
   /sbin/service tog-pegasus condrestart > /dev/null 2>&1
fi
# pegasus might not be running, don't fail %postun
exit 0






###  changelog ###


%changelog
* Tue Mar 27 2007 Johnny Hughes <johnny@centos.org>
- Modified to remove Red Hat branding from the SPEC file.

* Wed Jan 10 2007 Stanko Kupcevic <kupcevic@redhat.com> 0.8-27
- Improved bz218941: Conga/luci - cannot add node to cluster via luci web app

* Tue Dec 12 2006 Stanko Kupcevic <kupcevic@redhat.com> 0.8-26
- Version bump

* Thu Nov 16 2006 Stanko Kupcevic <kupcevic@redhat.com> 0.8-25
- Fix build issues (D-BUS detection)

* Thu Nov 16 2006 Stanko Kupcevic <kupcevic@redhat.com> 0.8-24
 - version bump

* Wed Nov 01 2006 Stanko Kupcevic <kupcevic@redhat.com> 0.8-23
- version bump

* Tue Oct 31 2006 Stanko Kupcevic <kupcevic@redhat.com> 0.8-22
- Version bump

* Wed Oct 25 2006 Stanko Kupcevic <kupcevic@redhat.com> 0.8-21
- 211942: Xenvm moniker must be eradicated

* Wed Oct 16 2006 Stanko Kupcevic <kupcevic@redhat.com> 0.8-20
- cluster module: mark services as being xenvms, in status report

* Wed Oct 16 2006 Stanko Kupcevic <kupcevic@redhat.com> 0.8-19
- Fixed bz 206571 (clustat changed output)
- modclusterd startup/shutdown improvements

* Fri Oct 06 2006 Stanko Kupcevic <kupcevic@redhat.com> 0.8-18
- Add purge_conf argument to stop_node modcluster call (bz202314)

* Wed Oct 04 2006 Stanko Kupcevic <kupcevic@redhat.com> 0.8-17
- Version bump

* Fri Sep 25 2006 Stanko Kupcevic <kupcevic@redhat.com> 0.8-16
- Suppress msgs from init script (bz204235)

* Fri Aug 21 2006 Stanko Kupcevic <kupcevic@redhat.com> 0.8-14
- Version bump

* Fri Aug 18 2006 Stanko Kupcevic <kupcevic@redhat.com> 0.8-13
- Version bump

* Wed Aug 16 2006 Stanko Kupcevic <kupcevic@redhat.com> 0.8-12
- Move modcluster from /usr/sbin to /usr/libexec
- Implement support for Cluster Suite 5
- Don't auto-start modclusterd after installation, do it manually

* Wed Aug 09 2006 Stanko Kupcevic <kupcevic@redhat.com> 0.8-11
- Spinoff: separate clustermon.srpm (modcluster, cluster-snmp and 
   cluster-cim) from conga.srpm
